Page MenuHomePhabricator

[Task] Improve performance of the SearchHookHandler
Closed, ResolvedPublic

Description

Right now the SearchHookHandler checks for the amount of sitelinks and claims using wbgetentities via the web api. This is a rather slow approach. We might consider using pageprops as in https://www.wikidata.org/w/api.php?action=query&prop=pageprops&titles=Q1|Q42|Q2013&ppprop=wb-claims|wb-sitelinks or at least use an EntityLookup (obtained from WikibaseClient).

At one point we might change this completely in favour of a solution using JavaScript or integrating it in Elastic. This will be important especially for the big Wikipedias.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterImprove performance of SearchHookHandler

Event Timeline

Lucie created this task.May 3 2016, 2:04 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 3 2016, 2:04 PM
Lucie moved this task from Incoming to Backlog on the ArticlePlaceholder board.May 3 2016, 8:38 PM
hoo renamed this task from [Task} Improve performance of the SearchHookHandler to [Task] Improve performance of the SearchHookHandler.May 4 2016, 2:13 AM
hoo updated the task description. (Show Details)May 5 2016, 1:22 PM
Lucie moved this task from Backlog to To Do Next on the ArticlePlaceholder board.May 18 2016, 1:12 PM
Lydia_Pintscher triaged this task as Medium priority.May 19 2016, 12:50 PM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.May 28 2016, 1:43 PM

Change 291480 merged by jenkins-bot:
Improve performance of SearchHookHandler

https://gerrit.wikimedia.org/r/291480

Lucie closed this task as Resolved.Jun 9 2016, 2:33 PM
Lucie moved this task from Doing to Done on the ArticlePlaceholder board.